# pandas.timedelta_range

`pandas.``timedelta_range`(start=None, end=None, periods=None, freq='D', name=None, closed=None)

  Return a fixed frequency timedelta index, with day as the default frequency

  Parameters:

  start : string or timedelta-like, default None

  > Left bound for generating dates

  end : string or datetime-like, default None

  > Right bound for generating dates

  periods : integer or None, default None

  > If None, must specify start and end

  freq : string or DateOffset, default ‘D’ (calendar daily)

  > Frequency strings can have multiples, e.g. ‘5H’

  name : str, default None

  > Name of the resulting index

  closed : string or None, default None

  > Make the interval closed with respect to the given frequency to the ‘left’, ‘right’, or both sides (None)

  Returns: | rng : TimedeltaIndex

  Notes

  2 of start, end, or periods must be specified